Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodevalue06 Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodevalue06 (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

An document is accessed, setNodeValue is called with a non-null argument, but getNodeValue should still return null.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#i-Document

Definition at line 40 of file nodevalue06.java.

## Constructor & Destructor Documentation

nodevalue06::nodevalue06 | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 42 of file nodevalue06.java.
    00043  {
    00044       super(factory);
    00045
    00046    }

## Member Function Documentation

String nodevalue06::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 59 of file nodevalue06.java.
    00059                                 {
    00060       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodevalue06";
    00061    }

void nodevalue06::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 62 of file nodevalue06.java. References DOMTestCase::doMain().
    00062                                           {
    00063         DOMTestCase.doMain(nodevalue06.class,args);
    00064    }

void nodevalue06::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 48 of file nodevalue06.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00048                                                     {
    00049       Document newNode;
    00050       String newValue;
    00051       newNode = load("staff");
    00052       newValue = newNode.getNodeValue();
    00053       assertNull("initiallyNull",newValue);
    00054       newNode.setNodeValue("This should have no effect");
    00055       newValue = newNode.getNodeValue();
    00056       assertNull("nullAfterAttemptedChange",newValue);
    00057
    00058    }

The documentation for this class was generated from the following file:

- nodevalue06.java